Summary: Library for working with files using the mp4 container format
Name: libmp4v2
Version: 1.5.0.1
Release: 1
License: MPL
Group: System Environment/Libraries
URL: http://resare.com/libmp4v2/
Source0: http://resare.com/libmp4v2/dist/libmp4v2-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The libmp4v2 library provides an abstraction layer for working with files
using the mp4 container format. This library is developed by mpeg4ip project
and is an exact copy of the library distributed in the mpeg4ip package.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Development files for the mp4v2 library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files and documentation needed to develop and compile programs
using the libmp4v2 library.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q 
%patch0


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
export CXX="xlC -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static \
    --disable-dependency-tracking
%{__make} %{?_smp_mflags}

cp .libs/libmp4v2.so.0 .
make distclean

# now build the 32-bit version
export CC="xlc"
export CXX="xlC"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static \
    --disable-dependency-tracking
%{__make} %{?_smp_mflags}

# add the 64-bit shared objects to the installed shared library containing
# already the 32-bit shared objects
${AR} -q .libs/libmp4v2.a ./libmp4v2.so.0


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system,0755)
%doc COPYING
%{_bindir}/*
%{_libdir}/*.a

%files devel
%defattr(-,root,system,0755)
%doc README TODO INTERNALS API_CHANGES
%{_includedir}/*.h
%{_libdir}/*.la
%{_mandir}/man?/*


%changelog
* Wed Jan 23 2008 Michael Perzl <michael@perzl.org> - 1.5.0.1-1
- first version for AIX V5.1 and higher
